Bezier Curve does not retain colour used when Triangle In shape is used

Bug #1707899 reported by Glenn Slingsby on 2017-08-01
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Inkscape
Undecided
Unassigned
0.92.x
Medium
Qantas94Heavy

Bug Description

I'm using Inkscape 0.92.1 r15371 on Windows 10, and want to draw some Bezier curves using any of the Modes and TRIANGLE IN set in the Shape dropdown. I set the Fill colour to yellow and Stroke to none, then draw. The completed path immediately reverts to black in colour. Note that the Fill colour at top right of screen is what I want but the Fill colour at bottom left shows Black. So, I click on a colour swatch along the bottom line and Fill colour changes. Draw the path and presto, it's back to Black again. This happens with ANY of the Modes as long as I am using the TRIANGLE IN in the Shape dropdown. >BUT< if I then change the Shape to NONE all works as it should and I am able to retain the colour I select for next path.

This cannot be "normal" for the programme. Why when using TRIANGLE IN would I be forced to draw paths in BLACK only?

"Last Used Style" under preferences does not help. It shows the colour I want, but this doesn't work. "Take From Selection" changes the colour in the Preferences box for the tool but, again, as soon as I draw with it the colour is set to Black.

In Inkscapeforum.com it has been explained to me: "When you use the triangle in/out option, what happens is that it automatically applies the Powerstroke LPE to the path (with version 0.92 and 0.92.1, but with 0.91, it applied Pattern Along Path LPE - not sure how it worked in earlier versions, maybe PAP extension was applied). Once it's a powerstroke (or pap), it's no longer a stroked path. Instead, it acts like a closed path with a fill and no stroke."

Brynn (brynn4inks) wrote :

I can reproduce this on Windows 7 Pro, 64-bit, Inkscape 0.92.1, 64-bit, exe installer.

Here's the forum topic: http://www.inkscapeforum.com/viewtopic.php?f=29&t=32763

I thought the inability for last used style was related to the application of LPE. Thinking once it becomes LPE, is no longer a stroke and therefore tool style doesn't apply. But someone else has reported on Ubuntu system, last used does work. So perhaps a Windows bug?

Will test in 0.92.2pre9 shortly :-)

Brynn (brynn4inks) wrote :

Ok, I get a different behavior with 0.92.2pre0. But I'm not sure if I would call it fixed. I'm not really sure how it's supposed to behave.

1 - set Pen/Bezier style to last used
2 - draw with Triangle In
3 - set blue fill, gold stroke, 20 px wide
4 - deselect
5 - draw new path

Result has gold fill and no stroke.

If I use it in a way that perhaps is more typical, with a fill and no stroke:

1 - draw path
2 - set green fill, no stroke
3 - deselect
4 - draw new one

Result has gold fill and no stroke.

Let me know if I can provide further info.

Hi Brynn!

In Debian, if pen mode is set to last style used (if not become black)
triangle in get the previous stroke color.

Cheers, Jabier.

On Tue, 2017-08-01 at 23:04 +0000, Brynn wrote:
> I can reproduce this on Windows 7 Pro, 64-bit, Inkscape 0.92.1, 64-
> bit,
> exe installer.
>
> Here's the forum topic:
> http://www.inkscapeforum.com/viewtopic.php?f=29&t=32763
>
> I thought the inability for last used style was related to the
> application of LPE.  Thinking once it becomes LPE, is no longer a
> stroke
> and therefore tool style doesn't apply.  But someone else has
> reported
> on Ubuntu system, last used does work.  So perhaps a Windows bug?
>
> Will test in 0.92.2pre9 shortly :-)
>

Jabiertxof (jabiertxof) wrote :

Hi Brynn.

Pen tool with shapes has no fill only strokes, that realy are fills but
show as variable width stroke color. If no stroke saved use last one.

Cheers, Jabier.

On Wed, 2017-08-02 at 00:23 +0000, Brynn wrote:
> Ok, I get a different behavior with 0.92.2pre0.  But I'm not sure if
> I
> would call it fixed.  I'm not really sure how it's supposed to
> behave.
>
> 1 - set Pen/Bezier style to last used
> 2 - draw with Triangle In
> 3 - set blue fill, gold stroke, 20 px wide
> 4 - deselect
> 5 - draw new path
>
> Result has gold fill and no stroke.
>
> If I use it in a way that perhaps is more typical, with a fill and no
> stroke:
>
> 1 - draw path
> 2 - set green fill, no stroke
> 3 - deselect
> 4 - draw new one
>
> Result has gold fill and no stroke.
>
> Let me know if I can provide further info.
>

Brynn (brynn4inks) wrote :

Hi Jabier,
Pen tool with shapes maybe is stroke and no fill technically. But the style indicator (bottom-left corner of window) shows it has fill and no stroke.

To change the color, click palette chip - just like regular fill. Not Shift click palette chip, like regular stroke.

Plus, you can give variable stroke, its own non-variable stroke, by shift click palette.

I think style indicator should show stroke and no fill. Also, shouldn't be possible to give variable stroke its own non-variable stroke.

How to make last used style work for Pen tool with triangle in.

1 - draw path (has only fill color in style indicator)
2 - shift click palette chip to add a non-varieble stroke (to the variable stroke) - can't use this in drawing, because it's a stroke with a stroke, but it's the only way to set the style.

Now the next path's "fill" or variable stroke takes the color of the non-variable stroke.

Need new color for next variable width stroke? Must duplicate the last variable stroke, and add new non-variable stroke to it.

Are you sure this is how it's supposed to work?

Jabiertxof (jabiertxof) wrote :

Hi Bryn, finaly I find the problem by myself but lately Im too bussy to
reply.

Realy has a bad solution because variable width is based on a LPE.
Strokes couldent have variable width. Here I put a question with the
available options we can do:

1) On Power Stroke shapes we can force a 0 width stroke with color set
auto to fill, this is the less complex option
2) We can extend SVG spec to allow variable width
¿Realy?¿Fallbacks?¿Polifill?
3) We can check the item has this kind/s of LPE on color setting
widgets and use it inversed

Also a improvement could be retain last width used in previous strokes.

Cheers, Jabier.

On Sun, 2017-08-06 at 05:36 +0000, Brynn wrote:
> Hi Jabier,
> Pen tool with shapes maybe is stroke and no fill technically.  But
> the style indicator (bottom-left corner of window) shows it has fill
> and no stroke.
>
> To change the color, click palette chip - just like regular
> fill.  Not
> Shift click palette chip, like regular stroke.
>
> Plus, you can give variable stroke, its own non-variable stroke, by
> shift click palette.
>
> I think style indicator should show stroke and no fill.  Also,
> shouldn't
> be possible to give variable stroke its own non-variable stroke.
>
> How to make last used style work for Pen tool with triangle in.
>
> 1 - draw path (has only fill color in style indicator)
> 2 - shift click palette chip to add a non-varieble stroke (to the
> variable stroke) - can't use this in drawing, because it's a stroke
> with a stroke, but it's the only way to set the style.
>
> Now the next path's "fill" or variable stroke takes the color of the
> non-variable stroke.
>
> Need new color for next variable width stroke?  Must duplicate the
> last
> variable stroke, and add new non-variable stroke to it.
>
> Are you sure this is how it's supposed to work?
>

Brynn (brynn4inks) wrote :

Thanks Jabier.

I feel better now that I'm sure you understand.

Of course I'm not qualified to talk very much about potential solutions. If there were some way to do it, it looks like having the fill color carried to the next path, rather than the stroke color, would solve the problem. But can something that's technically a path have a fill? I don't know.

But anyway, I'm just happy to know it's known and developers can work on it.

Thank you very much :-)

Jabiertxof (jabiertxof) wrote :

Hi!
On Thu, 2017-08-10 at 02:48 +0000, Brynn wrote:

> I feel better now that I'm sure you understand.
>
> Of course I'm not qualified to talk very much about potential
> solutions.
> If there were some way to do it, it looks like having the fill color
> carried to the next path, rather than the stroke color, would solve
> the
> problem.  But can something that's technically a path have a fill?  I
> don't know.

This is the simplest solution not mentioned I think it can be archived
with a bit of code, anyway for change colors of the path you need to
change fill, Is this correct?

Also another cuestion, you think is good also retain last path width
for next paths?

> But anyway, I'm just happy to know it's known and developers can work
> on
> it.
>
> Thank you very much :-)

You are welcome. Jabier.

Jabiertxof (jabiertxof) wrote :

Hi, could we try lastest branch to know if fixed?
I also add to retain last width stroke used.

r: d0930c9bda63f8500b83df8dec3766379a0d60d4

Cheers and thanks for report.

On Sun, 2017-08-06 at 05:36 +0000, Brynn wrote:
> Hi Jabier,
> Pen tool with shapes maybe is stroke and no fill technically.  But
> the style indicator (bottom-left corner of window) shows it has fill
> and no stroke.
>
> To change the color, click palette chip - just like regular
> fill.  Not
> Shift click palette chip, like regular stroke.
>
> Plus, you can give variable stroke, its own non-variable stroke, by
> shift click palette.
>
> I think style indicator should show stroke and no fill.  Also,
> shouldn't
> be possible to give variable stroke its own non-variable stroke.
>
> How to make last used style work for Pen tool with triangle in.
>
> 1 - draw path (has only fill color in style indicator)
> 2 - shift click palette chip to add a non-varieble stroke (to the
> variable stroke) - can't use this in drawing, because it's a stroke
> with a stroke, but it's the only way to set the style.
>
> Now the next path's "fill" or variable stroke takes the color of the
> non-variable stroke.
>
> Need new color for next variable width stroke?  Must duplicate the
> last
> variable stroke, and add new non-variable stroke to it.
>
> Are you sure this is how it's supposed to work?
>

Glenn Slingsby (gslinger) wrote :
Download full text (3.7 KiB)

Not sure if the last email was directed to me or if I was simply CC'd on it... In any event I am an infrequent user of Inkscape and only use the stable versions rather than the in-progress builds. Hopefully Brynn can help you out. Thanks for looking into it, anyway.
Regards,
 Glenn Slingsby
Website/Blog
Instagram
 CustomMade

    On Sunday, August 13, 2017 11:25 AM, Jabiertxof <email address hidden> wrote:

 Hi, could we try lastest branch to know if fixed?
I also add to retain last width stroke used.

r: d0930c9bda63f8500b83df8dec3766379a0d60d4

Cheers and thanks for report.

On Sun, 2017-08-06 at 05:36 +0000, Brynn wrote:
> Hi Jabier,
> Pen tool with shapes maybe is stroke and no fill technically.  But
> the style indicator (bottom-left corner of window) shows it has fill
> and no stroke.
>
> To change the color, click palette chip - just like regular
> fill.  Not
> Shift click palette chip, like regular stroke.
>
> Plus, you can give variable stroke, its own non-variable stroke, by
> shift click palette.
>
> I think style indicator should show stroke and no fill.  Also,
> shouldn't
> be possible to give variable stroke its own non-variable stroke.
>
> How to make last used style work for Pen tool with triangle in.
>
> 1 - draw path (has only fill color in style indicator)
> 2 - shift click palette chip to add a non-varieble stroke (to the
> variable stroke) - can't use this in drawing, because it's a stroke
> with a stroke, but it's the only way to set the style.
>
> Now the next path's "fill" or variable stroke takes the color of the
> non-variable stroke.
>
> Need new color for next variable width stroke?  Must duplicate the
> last
> variable stroke, and add new non-variable stroke to it.
>
> Are you sure this is how it's supposed to work?
>

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/1707899

Title:
  Bezier Curve does not retain colour used when Triangle In shape is
  used

Status in Inkscape:
  New

Bug description:
  I'm using Inkscape 0.92.1 r15371 on Windows 10, and want to draw some
  Bezier curves using any of the Modes and TRIANGLE IN set in the Shape
  dropdown. I set the Fill colour to yellow and Stroke to none, then
  draw. The completed path immediately reverts to black in colour. Note
  that the Fill colour at top right of screen is what I want but the
  Fill colour at bottom left shows Black. So, I click on a colour swatch
  along the bottom line and Fill colour changes. Draw the path and
  presto, it's back to Black again. This happens with ANY of the Modes
  as long as I am using the TRIANGLE IN in the Shape dropdown. >BUT< if
  I then change the Shape to NONE all works as it should and I am able
  to retain the colour I select for next path.

  This cannot be "normal" for the programme. Why when using TRIANGLE IN
  would I be forced to draw paths in BLACK only?

  "Last Used Style" under preferences does not help. It shows the colour
  I want, but this doesn't work. "Take From Selection" changes the
  colour in the Preferences box for the tool but, again, as soon as I
  draw with it the colour is set to Black.

  In Inkscapeforum...

Read more...

Jabiertxof (jabiertxof) wrote :

You are welcome Glenn. I hope Brynn can help us. And maybe can be on 0.92.3.
Cheers, Jabier

Jabiertxof (jabiertxof) wrote :

Please consider backport 0.92.3. Commit to master on d0930c9b

Changed in inkscape:
status: New → Fix Committed
tags: added: backport-proposed
Changed in inkscape:
milestone: none → 1.0
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers